%define upstream_name    Sys-Mmap
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Uses mmap to map in a file as a Perl variable
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DynaLoader)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel

%description
The Mmap module uses the POSIX the mmap manpage call to map in a file as a
Perl variable. Memory access by mmap may be shared between threads or
forked processes, and may be a disc file that has been mapped into memory.
the Sys::Mmap manpage depends on your operating system supporting UNIX or
POSIX.1b mmap, of course.

*Note* that the PerlIO manpage now defines a ':mmap' tag and presents
mmap'd files as regular files, if that is your cup of joe.

Several processes may share one copy of the file or string, saving memory,
and concurrently making changes to portions of the file or string. When not
used with a file, it is an alternative to SysV shared memory. Unlike SysV
shared memory, there are no arbitrary size limits on the shared memory
area, and sparce memory usage is handled optimally on most modern UNIX
implementations.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.160.0-5.mga4
+ Revision: 524988
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.160.0-4.mga4
+ Revision: 431762
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-3.mga3
+ Revision: 372976
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.160.0-2.mga3
+ Revision: 251181
- rebuild for perl 5.16

* Thu Sep 08 2011 jquelin <jquelin> 0.160.0-1.mga2
+ Revision: 141208
- imported package perl-Sys-Mmap


* Thu Sep 08 2011 cpan2dist 0.16-1mga
- initial mageia release, generated with cpan2dist
